<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-deployment-qnx.qdoc -->
  <title>Deploying Applications to QNX Neutrino Devices | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Deploying Applications to QNX Neutrino Devices</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-deployment-embedded-linux.html" />
  <link rel="next" href="creator-connecting-mobile.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-deployment-embedded-linux.html">Deploying Applications to Embedded Linux Devices</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-connecting-mobile.html">Connecting Devices</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Deploying Applications to QNX Neutrino Devices</h1>
<span class="subtitle"></span>
<!-- $$$creator-deployment-qnx.html-description -->
<div class="descr"> <a name="details"></a>
<p>You can deploy applications to QNX Neutrino devices in the way that is described in <a href="creator-deployment-embedded-linux.html">Deploying Applications to Embedded Linux Devices</a>.</p>
<p class="centerAlign"><img src="images/qtcreator-qnx-deployment.png" alt="&quot;Deploy to device&quot;" /></p><p>The files to be installed are listed in the <b>Deployment</b> step, the <b>Files to deploy</b> field. The <b>Local File Path</b> field displays the location of the file on the development PC. The <b>Remote Directory</b> field displays the folder where the file is installed on the device. Text in red color indicates that the information is missing. Edit the qmake <a href="http://doc.qt.io/qt-5/qmake-variable-reference.html#installs">INSTALLS variable</a> in the project <code>.pro</code> file to add the missing files.</p>
<p>When you run the application, Qt Creator copies the necessary files to the device and starts the application on it.</p>
</div>
<!-- @@@creator-deployment-qnx.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-deployment-embedded-linux.html">Deploying Applications to Embedded Linux Devices</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-connecting-mobile.html">Connecting Devices</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
